MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032431Open CASCADE[OCCT] OCCT:Codingpublic2021-06-10 16:572021-06-16 13:30
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusassignedResolutionopen 
PlatformOSmacOSOS Versionarm64
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032431: Porting OCCT and Products to macOS Big Sur arm64
DescriptionPorting OCCT and Products to MacOS BigSurf arm64
TagsNo tags attached.
Test case number
Attached Files

- Relationships
parent of 0032430verifiedbugmaster Coding Rules - eliminate CLang warning -Wdeprecated-copy within OCC Products compilation 
parent of 0032429assignedkgv Coding - Warnings during compilation on macosx arm64 with option BUILD_Inspector:BOOL=ON 
parent of 0032423assignedkgv Coding Rules - NSOpenGLContext deprecation warnings during compilation for macOS 10.14+ 
parent of 0032425assignedbugmaster Tests - adjusting test cases for macOS arm64 platforms 
Not all the children of this issue are yet resolved or closed.

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2021-06-10 16:57 bugmaster New Issue
2021-06-10 16:57 bugmaster Assigned To => bugmaster
2021-06-10 16:58 bugmaster Relationship added parent of 0032430
2021-06-10 16:58 bugmaster Relationship added parent of 0032429
2021-06-10 16:58 bugmaster Relationship added parent of 0032423
2021-06-10 16:59 bugmaster Relationship added parent of 0032425
2021-06-10 17:01 kgv Summary Porting OCCT and Products to MacOS BigSurf arm64 => Porting OCCT and Products to MacOS BigSur arm64
2021-06-10 17:02 kgv Summary Porting OCCT and Products to MacOS BigSur arm64 => Porting OCCT and Products to macOS big Sur arm64
2021-06-10 17:03 kgv Summary Porting OCCT and Products to macOS big Sur arm64 => Porting OCCT and Products to macOS Big Sur arm64
2021-06-10 17:03 kgv OS => macOS
2021-06-10 17:03 kgv OS Version => arm64
2021-06-10 17:03 kgv Platform arm64 =>
2021-06-10 19:02 bugmaster Relationship added parent of 0032432
2021-06-15 18:22 bugmaster Relationship deleted parent of 0032432
2021-06-16 13:30 bugmaster Status new => assigned


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker